Ferrysoft
System Requirements

Supported Platforms

Ferrysoft Help Desk is an ASP.NET application with access from client computers via a web browser.

Ferrysoft Help Desk requires a single computer running one of the following operating systems:

  • Microsoft Windows XP Professional SP3 or later
  • Microsoft Windows Server 2003 SP2 or later
  • Microsoft Windows Vista SP2 or later
  • Microsoft Windows Server 2008 SP2 or later
  • Microsoft Windows 7 SP1 or later
  • Microsoft Windows Server 2008 R2 SP1 or later

Since Ferrysoft Help Desk is browser based, there is no particular requirement for the client operating system. A variety of popular browsers can be used for client access to Ferrysoft Help Desk including:

  • Google Chrome 2.0 or later.
  • Microsoft Internet Explorer 8.0 or later.
  • Mozilla Firefox 3.0 or later.

Ferrysoft Help Desk may also work with previous versions of these browsers and other modern browser types.

Required Components

The following components are also required to be installed on the computer hosting Ferrysoft Help Desk:

  • Internet Information Services (IIS)
  • Microsoft .NET Framework 3.5 SP1
  • Microsoft SQL Server 2008
  • Windows Installer 4.5 or later

Internet Information Services (IIS), Microsoft .NET Framework, Microsoft SQL Server 2008 Express Edition and Windows Installer are all available at no charge from Microsoft if you do not already have the required components installed. The following table outlines the default installation status of each component for each of the supported operating systems.

Component Microsoft Windows XP Professional SP3 Microsoft Windows Server 2003 SP2 Microsoft Windows Vista SP2 and Microsoft Windows Server 2008 SP2 Microsoft Windows 7 SP1 and Microsoft Windows Server 2008 R2 SP1
Internet Information Services (IIS) Internet Information Services (IIS) 5.1 is included in Windows XP Professional as an optional component. It will need to be installed if it is not installed already. Internet Information Services (IIS) 6.0 is included in Windows Server 2003 as an optional component. It will need to be installed if it is not installed already. The ASP.NET Web Service Extension must also be enabled. Internet Information Services (IIS) 7.0 is included in Windows Vista (Home Premium and above) and Windows Server 2008 as an optional component. It will need to be installed if it is not installed already. ASP.NET must also be enabled. Internet Information Services (IIS) 7.5 is included in Windows 7 (Home Premium and above) and Windows Server 2008 R2 as an optional component. It will need to be installed if it is not installed already. ASP.NET must also be enabled.
Microsoft .NET Framework 3.5 SP1 Not included in Windows XP Professional. It needs to be downloaded from Microsoft and installed if it is not installed already. Not included in Windows Server 2003. It needs to be downloaded from Microsoft and installed if it is not installed already. Not included in Windows Vista or Windows Server 2008. It needs to be downloaded from Microsoft and installed if it is not installed already. Included in Windows 7 and Windows Server 2008 R2.
Microsoft SQL Server 2008 If Microsoft SQL Server 2008 is not already available then Microsoft SQL Server 2008 Express Edition is available for download from Microsoft. If Microsoft SQL Server 2008 is not already available then Microsoft SQL Server 2008 Express Edition is available for download from Microsoft. If Microsoft SQL Server 2008 is not already available then Microsoft SQL Server 2008 Express Edition is available for download from Microsoft. If Microsoft SQL Server 2008 is not already available then Microsoft SQL Server 2008 Express Edition is available for download from Microsoft.
Windows Installer 4.5 or later Not included in Windows XP Professional. It needs to be downloaded from Microsoft and installed if it is not installed already. Not included in Windows Server 2003. It needs to be downloaded from Microsoft and installed if it is not installed already. Windows Installer 4.5 is included in Windows Vista and Windows Server 2008. Windows Installer 5.0 is included in Windows 7 and Windows Server 2008 R2.

How to determine if Internet Information Services (IIS) is installed and ASP.NET is enabled

  1. From the Start Menu, choose Control Panel, choose Administrative Tools and then click Internet Information Services (IIS) Manager.
  2. Choose Help and then click About Internet Information Services (IIS) Manager.
  3. Check that the version number shown is 5.1 or later.
  4. If Internet Information Services (IIS) 6.0 is in use then check that the ASP.NET Web Service Extension is enabled (see Enabling and Disabling Dynamic Content for more information).
  5. If Internet Information Services (IIS) 7.0 or 7.5 is in use then check that ASP.NET is enabled (see Deploying an ASP.NET Server for more information).

How to determine if Microsoft .NET Framework 3.5 SP1 is installed

  1. From the Start Menu, choose Control Panel and then click Add or Remove Programs.
  2. Check that Microsoft .NET Framework 3.5 SP1 (or later) is in the list of currently installed programs.
  3. If Microsoft .NET Framework 3.5 SP1 is not installed then it can be downloaded from Microsoft at Microsoft .NET Framework 3.5 SP1 .

How to determine if Microsoft SQL Server 2008 is installed

  1. From the Start Menu, choose Control Panel and then click Add or Remove Programs.
  2. Check that Microsoft SQL Server 2008 is in the list of currently installed programs.

How to determine if Windows Installer 4.5 is installed

  1. From the Start Menu, choose All Programs, choose Accessories and then click Command Prompt.
  2. At the command prompt type msiexec.exe /help and check that the version number shown is 4.5 or later.
  3. If Windows Installer 4.5 is not installed then it can be downloaded from Microsoft at Windows Installer 4.5 .